#pragma once

#include "CoreMinimal.h"
#include "HudPresenter.h"
#include "Templates/SubclassOf.h"
#include "ItemBundleViewData.h"
#include "HudSurvivorEquippedItemsPresenter.generated.h"

class UUserWidget;

UCLASS(Blueprintable, EditInlineNew)
class UHudSurvivorEquippedItemsPresenter : public UHudPresenter
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TSubclassOf<UUserWidget> SurvivorEquippedItemWidgetClass;

private:
	UPROPERTY(BlueprintReadWrite, Transient, meta=(AllowPrivateAccess=true))
	FItemBundleViewData _itemBundleViewData;

public:
	UHudSurvivorEquippedItemsPresenter();
};

FORCEINLINE uint32 GetTypeHash(const UHudSurvivorEquippedItemsPresenter) { return 0; }
